| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csplugincommon/softshader/types.h File Reference

Software renderer common types. More...

`#include "csgeom/fixed.h"`

Go to the source code of this file.

## Namespaces
namespace | CS
namespace | CS::PluginCommon
namespace | CS::PluginCommon::SoftShader
## Classes
struct | CS::PluginCommon::SoftShader::InterpolateEdgePersp
| Interpolator for a polygon edge. More...
struct | CS::PluginCommon::SoftShader::InterpolateEdgePersp::PerFloat
| A single interpolated buffer value. More...
struct | CS::PluginCommon::SoftShader::InterpolateScanlinePersp< maxFloats >
| Interpolator over a scanline. More...
struct | CS::PluginCommon::SoftShader::InterpolateScanlinePersp< 0 >
struct | CS::PluginCommon::SoftShader::InterpolateScanlinePerspCommon
| Interpolator over a scanline, common code. More...
struct | CS::PluginCommon::SoftShader::Pixel
struct | CS::PluginCommon::SoftShader::Pixel::tag_c
struct | CS::PluginCommon::SoftShader::ScanlineComp
| Undivided buffer values. More...
struct | CS::PluginCommon::SoftShader::ScanlineCompDivZ
| Buffer values div Z. More...
## Defines
#define | CS_SOFT3D_BUFFERFLAG(x) (1 << CS_SOFT3D_VA_BUFINDEX(x))
| Helper macro to obtain a software renderer buffer mask flag for a vertex attribute.
#define | CS_SOFT3D_VA_BUFINDEX(x)
| Helper macro to obtain a software renderer buffer index for a vertex attribute.
## Typedefs
typedef uint | CS::PluginCommon::SoftShader::BuffersMask
| Type for a bit mask of buffers.
typedef uint | CS::PluginCommon::SoftShader::TexturesMask
| Type for a bit mask of textures.
## Functions
template<typename T>
static T | CS::PluginCommon::SoftShader::Lerp (const T &a, const T &b, float f)
| Helper function to linearly interpolate.
## Variables
const size_t | CS::PluginCommon::SoftShader::maxBuffers = 16
| Maximum number of vertex buffers supported.

## Detailed Description

Software renderer common types.

Definition in file types.h.